/** --------------------------------------------------------------------

	PAGE AGENDA

--------------------------------------------------------------------- */


.wpgb-facet-4 { /* Charger plus */
	text-align:center; 
}


.agenda-carte .wpgb-card-body, 
.agenda-carte:hover 
.wpgb-card-body, 
.agenda-carte:hover .wpgb-card-content, 
.agenda-carte .wpgb-card-media  {
	background:none !important;
	overflow:hidden !important;
	border-radius:10px;
} 


.agenda-carte .agenda-titre { /* Titre */
	font-size:1.2em !important;
	text-transform:uppercase;
	font-family:'SF UI Display Heavy', Arial, sans-serif !important;
	line-height:1.2em !important;
	text-align:center;
	letter-spacing:0.025em;
	margin-top:0 !important;
	padding:20px 0 0 0 !important;
}

 .agenda-date-container-bg {
display:inline-block !important;
	align-items: center; 
	background:#b8d0e9;
	 color :#1e1e31 !important;
	position:relative;
	 padding:6px 16px !important;
	 text-transform:uppercase;
		font-family:'SF UI Display Bold', Arial, sans-serif !important;
	 border-top-right-radius:6px
}

 .agenda-dates-fin::before {
content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; /* Permet de positionner l'icône en ligne */
	vertical-align: middle; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/arrow-right.svg');
	width: 26px; /* Ajustez la taille selon vos besoins */
	height: 16px;
	margin-left: 12px; /* Espace entre le texte et l'icône */
	margin-top: -2px;
	padding-right:10px !important;
}

.agenda-jour-debut, .agenda-jour-fin {
margin-right:6px !important;
}



/* .agenda-date-container-bg {
	display: flex;
	justify-content: center;
	align-items: center; 
	background:#cc0000;
	width:100px;
	height:100px;
	position:relative;
	left:20px;
	top:50px;
	z-index:2;
	color:#fff !important;
}


.agenda-date-container, .agenda-dates-container {
	width: 100px;
	height: 100px;
	display: grid !important;
	align-items: center;
	justify-items: center;
	background:#cc0000 !important;
}

.agenda-date-container, .agenda-dates-container {
	grid-template-columns: 1fr auto 1fr; 
}

.agenda-date-container {
	grid-template-columns: 1fr;
}

.agenda-dates-container .agenda-dates,
.agenda-dates-container .agenda-dates-fin
.agenda-dates-container .agenda-dates-separator {
	display: flex;
	flex-direction: column; 
	justify-content: center;
	align-items: center;
	background:#fcb900 !important;


}
.agenda-dates-debut, 
.agenda-dates-fin {
	text-align: center; 
}

.agenda-dates-debut {
	padding-left:10px !important;
}
.agenda-dates-fin {
	padding-right:10px !important;
}

.agenda-jour-debut, 
.agenda-jour-fin {
	font-family:'SF UI Display Heavy', Arial, sans-serif !important;
	display:block;
	font-size:1.3em !important;
	line-height:0.8!important;
	margin-top:6px !important;
}

.agenda-mois-debut, 
.agenda-mois-fin {
	font-family:'SF UI Display Heavy', Arial, sans-serif !important;
	text-transform:uppercase;
	font-size:0.8em !important;
	line-height: 1em!important
}

.agenda-dates-separator {
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; 
	vertical-align: middle; 
	background-image: url('/wp-content/themes/Divi-Child/img/ico/sup-right.svg');
	width: 12px;
	height: 12px;
	max-width: 100%; 
	background-position:60%;
	padding-right:20px !important;
	filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(352deg) brightness(100%) contrast(101%);
}
*/

.agenda-carte .wpgb-card-body {text-align:center; position:relative !important;}

.agenda-lieu {
	display:inline-block !important; 
	margin-top:10px !important; 
	margin-left:-6px !important; 
	font-size:1.1em !important;
}

.agenda-lieu::before {
	content: '';
	position:relative;
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; /* Permet de positionner l'icône en ligne */
	vertical-align: middle; /* Aligne l'icône avec le texte */
	background-image: url('/wp-content/themes/Divi-Child/img/ico/location-agenda.svg');
	width: 18px; /* Ajustez la taille selon vos besoins */
	height: 18px;
	margin-right: 6px; /* Espace entre le texte et l'icône */
	padding-right:4px !important;
	top:-2px !important;
	filter: brightness(0) saturate(100%) invert(26%) sepia(99%) saturate(4967%) hue-rotate(329deg) brightness(89%) contrast(90%);
}


.wpgb-card-media-content-top {
	position:relative !important
}

.agenda-carte .agenda-rubrique{
position:absolute !important;
	right:0px !important;
	top:0px;
	display:inline-block !important;
	background:#1e1e31;
	margin-right:20px !important;
	margin-top:20px !important;
	padding:12px 16px 14px 20px !important;
	border-radius: 4px;
		font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	color:#fff !important;
	letter-spacing:0.03em;
	line-height:1 !important
}


.agenda-carte .agenda-rubrique:before{
content: '';
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block; 
	vertical-align: middle; 
	background-image: url('/wp-content/themes/Divi-Child/img/ico/point-big.svg');
	width: 10px;
	height: 10px;
margin-right:14px;
	margin-top:-2px !important;
	z-index:1;
	filter: invert(17%) sepia(88%) saturate(5054%) hue-rotate(332deg) brightness(92%) contrast(83%);
}

.agenda-carte:hover .agenda-rubrique:before{
filter: invert(27%) sepia(63%) saturate(1909%) hue-rotate(192deg) brightness(98%) contrast(92%);
}


.agenda-carte:hover .agenda-rubrique{
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	background: #d9205d!important;
	color:#fff !important;
	transition: 0.2s linear !important;
}





/** --------------------------------------------------------------------

   AGENDA VUE SIMPLE : NAVIGATION APRES CONTENU
   
--------------------------------------------------------------------- */

.agenda-h1 .entry-title{
	margin-bottom:10px !important;
}

.navigation-bar {
    display: flex;
    justify-content: space-between;
    margin-top: 60px;
    border: 1px solid #ddd;
    background-color: #fff;
    border-radius: 6px;
}

.navigation-bar a {
    text-decoration: none;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 15px 20px;
    transition: background-color 0.3s ease; /* Transition douce pour le changement de couleur */
}

.nav-item.nav-next.internal-link,
.nav-item.nav-previous.internal-link{
	padding:15px !important;
}

.nav-previous {
    border-right: 1px solid #ccc; /* Trait unique de 1px à droite du bloc précédent */
}


.navigation-bar strong {
	color:#000;
    margin-top: 0;
    order: -1;
    text-transform: uppercase;
    font-family: 'SF UI Display Bold', Arial, sans-serif;
    font-size: 0.85em;
}

.navigation-bar .nav-previous strong::before, .navigation-bar .nav-next strong::after {
    content: '';
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 18px;
    height: 18px;
    margin-left: 4px;
    margin-top: -4px;
	  filter: invert(28%) sepia(82%) saturate(4947%) hue-rotate(327deg) brightness(87%) contrast(94%);
}

.navigation-bar .nav-next strong::after {
	 background-image: url('/wp-content/themes/Divi-Child/img/ico/arrow-right.svg');
}

.navigation-bar .nav-previous strong::before {
	 background-image: url('/wp-content/themes/Divi-Child/img/ico/arrow-right.svg');
	transform: rotate(180deg);
    margin-left: 0px;
    margin-right: 4px;
}


.navigation-bar .internal-link::after {
   display:none
}

.disabled-link {
    pointer-events: none;
    cursor: not-allowed;
   
	color:#666 !important;
}

@media (max-width: 768px) {
    .navigation-bar {
        flex-direction: column;
        align-items: stretch;
    }

    .nav-previous {
        border-right: none;
        border-bottom: 1px solid #ccc; /* Trait unique horizontal en dessous */
        padding-bottom: 15px;
    }
}

.image-affiche-classe {
	border-radius:8px;
}

.agenda-container {
margin-bottom:30px;
	padding:30px;
	background :#f6f6f6;
	border-radius:6px;
}

.agenda-cat {
	font-size:1em;
	background:#e4ecf4;
	border-radius:3px; 
	padding:4px 18px;
	color: #1265b9;
	display:inline-block;
	margin-top:-40px !important
}

.agenda-single-date {
	font-family:'SF UI Display Bold', Arial, sans-serif;
	color:#d9205d
}

.location-container {
    display: flex;
    align-items: flex-start; /* Ou center si vous préférez */
}

.location-container .lieu{
    	font-family:'SF UI Display Bold', Arial, sans-serif;
	text-transform: uppercase;
	font-size:1.1em
}

.location-info {
    flex: 1;
    padding-left: 30px; /* Ajoute de l'espace pour l'icône SVG */
    position: relative;
	margin-top:10px
}

.location-info::before {
    content: '';
    position: absolute;
    left: 0;
    top: 5px;
    width: 20px; /* Ajustez selon la taille de votre icône */
    height: 20px;
    background: url('/wp-content/themes/Divi-Child/img/ico/location-agenda.svg') no-repeat center center / contain;
	filter: invert(29%) sepia(97%) saturate(734%) hue-rotate(179deg) brightness(97%) contrast(106%);
}



